﻿namespace Soigeneris
{
    public partial class LCDLiveText
    {
        public static readonly byte[] plug =
        {
            0x0A, // . # . # .
            0x0A, // . # . # .
            0x1F, // # # # # #
            0x11, // # . . . #
            0x11, // # . . . #
            0x0E, // . # # # .
            0x04, // . . # . .
            0x04  // . . # . . cursor row
        };

        public static readonly byte[] locked =
        {
            0x0E, // . # # # .
            0x11, // # . . . #
            0x11, // # . . . #
            0x1F, // # # # # #
            0x1B, // # # . # #
            0x1B, // # # . # #
            0x1F, // # # # # #
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] unlocked =
        {
            0x0E, // . # # # .
            0x11, // # . . . .
            0x11, // # . . . .
            0x1F, // # # # # #
            0x1B, // # # . # #
            0x1B, // # # . # #
            0x1F, // # # # # #
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] OK =
        {
            0x0E, // . # . . .
            0x11, // # . # . .
            0x11, // . # . . .
            0x1F, // . . # . #
            0x1B, // . . # # .
            0x1B, // . . # . #
            0x1F, // . . # . #
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] onehalf =
        {
            0x11, // # . . . #
            0x12, // # . . # .
            0x17, // # . # # #
            0x09, // . # . . #
            0x13, // # . . # #
            0x04, // . . # . .
            0x07, // . . # # #
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] right =
        {
            0x00, // . . . . .
            0x04, // . . # . .
            0x02, // . . . # .
            0x1F, // # # # # #
            0x02, // . . . # .
            0x04, // . . # . .
            0x00, // . . . . . 
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] left =
        {
            0x00, // . . . . .
            0x04, // . . # . .
            0x08, // . # . . .
            0x1F, // # # # # #
            0x08, // . # . . .
            0x04, // . . # . .
            0x00, // . . . . . 
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] up =
        {
            0x04, // . . # . .
            0x0E, // . # # # .
            0x15, // # . # . #
            0x04, // . . # . .
            0x04, // . . # . .
            0x04, // . . # . .
            0x00, // . . . . . 
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] down =
        {
            0x00, // . . . . .
            0x00, // . . . . .
            0x04, // . . # . .
            0x04, // . . # . .
            0x04, // . . # . .
            0x15, // # . # . #
            0x0E, // . # # # . 
            0x04  // . . # . . cursor row
        };

        public static readonly byte[] upScroll =
        {
            0x08, // . # . . .
            0x1C, // # # # . .
            0x08, // . # . . .
            0x08, // . # . . .
            0x00, // . . . . .
            0x00, // . . . . .
            0x00, // . . . . . 
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] downScroll =
        {
            0x00, // . . . . .
            0x00, // . . . . .
            0x00, // . . . . .
            0x00, // . . . . .
            0x02, // . . . # .
            0x02, // . . . # .
            0x07, // . . # # # 
            0x02  // . . . # . cursor row
        };

        public static readonly byte[] upDownScroll =
        {
            0x08, // . # . . .
            0x1C, // # # # . .
            0x08, // . # . . .
            0x08, // . # . . .
            0x02, // . . . # .
            0x02, // . . . # .
            0x07, // . . # # # 
            0x02  // . . . # . cursor row
        };


        public static readonly byte[] leftScroll =
        {
            0x00, // . . . . .
            0x08, // . # . . .
            0x1F, // # # # # #
            0x08, // . # . . .
            0x00, // . . . . .
            0x00, // . . . . .
            0x00, // . . . . . 
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] rightScroll =
        {
            0x00, // . . . . .
            0x00, // . . . . .
            0x00, // . . . . .
            0x00, // . . . . .
            0x02, // . . . # .
            0x1F, // # # # # #
            0x02, // . . . # . 
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] leftRightScroll =
        {
            0x00, // . . . . .
            0x08, // . # . . .
            0x1F, // # # # # #
            0x08, // . # . . .
            0x02, // . . . # .
            0x1F, // # # # # #
            0x02, // . . . # . 
            0x00  // . . . . . cursor row
        };

        public static readonly byte[] folder =
        {
            0x18, // # # . . .
            0x17, // # . # # #
            0x11, // # . . . #
            0x11, // # . . . #
            0x1F, // # # # # #
            0x00, // . . . . .
            0x00, // . . . . . 
            0x00  // . . . . . cursor row
        };
    }

}